NVIDIA-CTK-INSTALLER(1)

NAME
nvidia-ctk-installer - nvidia-ctk-installer

DESCRIPTION

  NAME:

    nvidia-ctk-installer - Install the NVIDIA Container Toolkit and configure the specified runtime to use the `nvidia` runtime.

  USAGE:

    nvidia-ctk-installer [global options]

  VERSION:

    1.19.0

  GLOBAL OPTIONS:

--no-daemon, -n
    terminate immediately after setting up the runtime. Note that no cleanup will be performed [$NO_DAEMON]

--no-runtime-config
    Disables the configuration of a container runtime. This is used in cases where the runtime has already been configured for use with the toolkit, and the installer is only used to deploy the components of the NVIDIA Container Toolkit. [$NO_RUNTIME_CONFIG]

--enable-nri-plugin, -p
    if set to true, the toolkit will stand up an NRI Plugin server used to inject CDI devices to containers. Note that this option will be ignored if --no-daemon is set. [$ENABLE_NRI_PLUGIN]

--nri-plugin-index uint
    Specify the plugin index to register to NRI (default: 10) [$NRI_PLUGIN_INDEX]

--nri-socket string
    Specify the path to the NRI socket file to register the NRI plugin server (default: "/var/run/nri/nri.sock") [$NRI_SOCKET]

--nri-namespace string
    Specify the kubernetes namespace the toolkit's NRI plugin is running in. [$NRI_NAMESPACE]

--runtime string, -r string
    the runtime to setup on this node. One of {'docker', 'crio', 'containerd'}. This setting is ignored if --no-runtime-config is specified. (default: "docker") [$RUNTIME]

--toolkit-install-dir ROOT, --root ROOT
    The directory where the NVIDIA Container Toolkit is to be installed. The components of the toolkit will be installed to ROOT/toolkit. Note that in the case of a containerized installer, this is the path in the container and it is recommended that this match the path on the host. (default: "/usr/local/nvidia") [$TOOLKIT_INSTALL_DIR, $ROOT]

--toolkit-source-root string
    The folder where the required toolkit artifacts can be found. If this is not specified, the path /artifacts/{{ .ToolkitPackageType }} is used where ToolkitPackageType is the resolved package type [$TOOLKIT_SOURCE_ROOT]

--toolkit-package-type string
    specify the package type to use for the toolkit. One of ['deb', 'rpm', 'auto', '']. If 'auto' or '' are used, the type is inferred automatically. (default: "auto") [$TOOLKIT_PACKAGE_TYPE]

--pid-file string
    the path to a toolkit.pid file to ensure that only a single configuration instance is running (default: "/run/nvidia/toolkit/toolkit.pid") [$TOOLKIT_PID_FILE, $PID_FILE]

--debug
    enable debug-level log in the toolkit installer [$TOOLKIT_DEBUG]

--driver-root string, --nvidia-driver-root string
    (default: "/run/nvidia/driver") [$NVIDIA_DRIVER_ROOT, $DRIVER_ROOT]

--driver-root-ctr-path string
    (default: "/run/nvidia/driver") [$DRIVER_ROOT_CTR_PATH]

--dev-root /dev
    Specify the root where /dev is located. If this is not specified, the driver-root is assumed. [$NVIDIA_DEV_ROOT, $DEV_ROOT]

--dev-root-ctr-path /dev
    Specify the root where /dev is located in the container. If this is not specified, the driver-root-ctr-path is assumed. [$DEV_ROOT_CTR_PATH]

--nvidia-container-runtime.debug string, --nvidia-container-runtime-debug string
    Specify the location of the debug log file for the NVIDIA Container Runtime [$NVIDIA_CONTAINER_RUNTIME_DEBUG]

--nvidia-container-runtime.log-level string, --nvidia-container-runtime-debug-log-level string
    [$NVIDIA_CONTAINER_RUNTIME_LOG_LEVEL]

--nvidia-container-runtime.mode string, --nvidia-container-runtime-mode string
    [$NVIDIA_CONTAINER_RUNTIME_MODE]

--nvidia-container-runtime.modes.cdi.default-kind string
    [$NVIDIA_CONTAINER_RUNTIME_MODES_CDI_DEFAULT_KIND]

--nvidia-container-runtime.modes.cdi.annotation-prefixes string [ --nvidia-container-runtime.modes.cdi.annotation-prefixes string ]
    [$NVIDIA_CONTAINER_RUNTIME_MODES_CDI_ANNOTATION_PREFIXES]

--nvidia-container-runtime.runtimes string [ --nvidia-container-runtime.runtimes string ]
    [$NVIDIA_CONTAINER_RUNTIME_RUNTIMES]

--nvidia-container-runtime-hook.skip-mode-detection
    [$NVIDIA_CONTAINER_RUNTIME_HOOK_SKIP_MODE_DETECTION]

--nvidia-container-cli.debug string, --nvidia-container-cli-debug string
    Specify the location of the debug log file for the NVIDIA Container CLI [$NVIDIA_CONTAINER_CLI_DEBUG]

--accept-nvidia-visible-devices-envvar-when-unprivileged
    Set the accept-nvidia-visible-devices-envvar-when-unprivileged config option [$ACCEPT_NVIDIA_VISIBLE_DEVICES_ENVVAR_WHEN_UNPRIVILEGED]

--accept-nvidia-visible-devices-as-volume-mounts
    Set the accept-nvidia-visible-devices-as-volume-mounts config option [$ACCEPT_NVIDIA_VISIBLE_DEVICES_AS_VOLUME_MOUNTS]

--cdi-enabled, --enable-cdi
    enable the generation of a CDI specification [$CDI_ENABLED, $ENABLE_CDI]

--cdi-output-dir string
    the directory where the CDI output files are to be written. If this is set to '', no CDI specification is generated. (default: "/var/run/cdi") [$CDI_OUTPUT_DIR]

--cdi-kind string
    the vendor string to use for the generated CDI specification (default: "management.nvidia.com/gpu") [$CDI_KIND]

--create-device-nodes string [ --create-device-nodes string ]
    (Only applicable with --cdi-enabled) specifies which device nodes should be created. If any one of the options is set to '' or 'none', no device nodes will be created. (default: "control") [$CREATE_DEVICE_NODES]

--config string
    Path to the runtime config file (default: "RUNTIME_SPECIFIC_DEFAULT") [$RUNTIME_CONFIG, $CONTAINERD_CONFIG, $DOCKER_CONFIG]

--drop-in-config string
    Path to the NVIDIA-specific drop-in config file (default: "RUNTIME_SPECIFIC_DEFAULT") [$RUNTIME_DROP_IN_CONFIG]

--drop-in-config-host-path string
    When running in a container, this is the path to the drop-in config (--drop-in-config) on the host. This is required to correctly update the top-level config if required since paths there must be host-relative. [$RUNTIME_DROP_IN_CONFIG_HOST_PATH]

--executable-path string
    The path to the runtime executable. This is used to extract the current config [$RUNTIME_EXECUTABLE_PATH]

--socket string
    Path to the runtime socket file (default: "RUNTIME_SPECIFIC_DEFAULT") [$RUNTIME_SOCKET, $CONTAINERD_SOCKET, $DOCKER_SOCKET]

--restart-mode string
    Specify how the runtime should be restarted; If 'none' is selected it will not be restarted [signal | systemd | none ] (default: "RUNTIME_SPECIFIC_DEFAULT") [$RUNTIME_RESTART_MODE]

--enable-cdi-in-runtime
    Enable CDI in the configured runt ime [$RUNTIME_ENABLE_CDI]

--host-root string
    Specify the path to the host root to be used when restarting the runtime using systemd (default: "/host") [$HOST_ROOT_MOUNT]

--runtime-name nvidia, --nvidia-runtime-name nvidia, --runtime-class nvidia
    Specify the name of the nvidia runtime. If set-as-default is selected, the runtime is used as the default runtime. (default: "nvidia") [$NVIDIA_RUNTIME_NAME, $CONTAINERD_RUNTIME_CLASS, $DOCKER_RUNTIME_NAME]

--config-source file, --config-sources file [ --config-source file, --config-sources file ]
    Specify the config sources for the container runtime. Any combination of [command | file]. When file is specified, the absolute path to the file to be used as a config source can be specified as `file=/path/to/source/config.toml (default: "command", "file") [$RUNTIME_CONFIG_SOURCES, $RUNTIME_CONFIG_SOURCE]

--use-legacy-config
    Specify whether a legacy (pre v1.3) config should be used. This ensures that a version 1 container config is created by default and that the containerd.runtimes.default_runtime config section is used to define the default runtime instead of container.default_runtime_name. [$CONTAINERD_USE_LEGACY_CONFIG]

--runtime-type string
    The runtime_type to use for the configured runtime classes (default: "io.containerd.runc.v2") [$CONTAINERD_RUNTIME_TYPE]

--nvidia-container-runtime-modes.cdi.annotation-prefixes string [ --nvidia-container-runtime-modes.cdi.annotation-prefixes string ]
    [$NVIDIA_CONTAINER_RUNTIME_MODES_CDI_ANNOTATION_PREFIXES]

--runtime-config-override string
    specify additional runtime options as a JSON string. The paths are relative to the runtime config. (default: "{}") [$RUNTIME_CONFIG_OVERRIDE, $CONTAINERD_RUNTIME_CONFIG_OVERRIDE]

--hooks-dir string
    path to the cri-o hooks directory (default: /usr/share/containers/oci/hooks.d) [$CRIO_HOOKS_DIR]

--hook-filename string
    filename of the cri-o hook that will be created / removed in the hooks directory (default: oci-nvidia-hook.json) [$CRIO_HOOK_FILENAME]

--config-mode string
    the configuration mode to use. One of [hook | config] (default: "config") [$CRIO_CONFIG_MODE]

--help, -h
    show help

--version, -v
    print the version

SEE ALSO
The full documentation for nvidia-ctk-installer is maintained as a Texinfo manual. If the info and nvidia-ctk-installer programs are properly installed at your site, the command

    info nvidia-ctk-installer

should give you access to the complete manual.